
Foreman - Bug #37274

Some APIs / params are not marked as deprecated

03/15/2024 05:07 PM - Bernhard Suttner

Status: Closed   

Priority: Normal   

Assignee: Bernhard Suttner   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.10.0, 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10098,

https://github.com/theforeman/foreman/p

ull/10103

  

Description

There is a deprecation warning but they are not marked as deprecated.

Associated revisions

Revision 54fd97f1 - 03/18/2024 05:58 PM - Bernhard Suttner

Fixes #37274 - Mark API/params as deprecated

History

#1 - 03/15/2024 05:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/10098 added

#2 - 03/18/2024 05:58 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/18/2024 06:00 PM - Bernhard Suttner

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|54fd97f11431db894b1682441c5e9a49ba3c94f2.

#4 - 03/19/2024 02:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10103 added

#5 - 03/20/2024 06:03 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added
